# net.h File Reference

`#include <gwenhywfar/netconnection.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API void | GWEN_Net_AddConnectionToPool (GWEN_NETCONNECTION *conn)
GWENHYWFAR_API void | GWEN_Net_Dump ()
GWENHYWFAR_API GWEN_NETCONNECTION_LIST * | GWEN_Net_GetConnectionPool ()
GWENHYWFAR_API GWEN_TYPE_UINT32 | GWEN_Net_GetLibraryId ()
GWENHYWFAR_API int | GWEN_Net_HasActiveConnections ()
GWENHYWFAR_API int | GWEN_Net_HasListeningConnections ()
GWENHYWFAR_API GWEN_NETCONNECTION_WORKRESULT | GWEN_Net_HeartBeat (int timeout)

## Function Documentation

GWENHYWFAR_API void GWEN_Net_AddConnectionToPool | ( | GWEN_NETCONNECTION * | conn | ) |

GWENHYWFAR_API void GWEN_Net_Dump | ( |  | ) |

GWENHYWFAR_API GWEN_NETCONNECTION_LIST* GWEN_Net_GetConnectionPool | ( |  | ) |

GWENHYWFAR_API GWEN_TYPE_UINT32 GWEN_Net_GetLibraryId | ( |  | ) |

GWENHYWFAR_API int GWEN_Net_HasActiveConnections | ( |  | ) |

GWENHYWFAR_API int GWEN_Net_HasListeningConnections | ( |  | ) |

GWENHYWFAR_API GWEN_NETCONNECTION_WORKRESULT GWEN_Net_HeartBeat | ( | int | timeout | ) |

Parameters:

  | timeout | timeout in milliseconds (or a special timeout value, see GWEN_NETCONNECTION_TIMEOUT_NONE)